import Document from '../src/api/Document';

let document;

beforeEach(() => {
  document = new Document('entity:node/1734:en', {
    _id: 'entity:node/1734:en',
    rendered_item: 'Iriure Loquor Nulla Paulatim.',
    url: '/node/1734',
    title: 'Iriure Loquor Nulla Paulatim'
  });
});

test('getting the id', () => {
  expect(document.getId()).toEqual('entity:node/1734:en');
});

test('getting the URL', () => {
  expect(document.getUrl()).toEqual('/node/1734');
});

test('getting the label', () => {
  expect(document.getLabel()).toEqual('Iriure Loquor Nulla Paulatim');
});

test('getting the summary', () => {
  expect(document.getSummary('Nulla')).toEqual('Iriure Loquor Nulla Paulatim.');
});
